// flow-typed signature: fffd460ccc721a3d9687ecda21daf874
// flow-typed version: <<STUB>>/dd-trace_v^0.6.1/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'dd-trace'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'dd-trace' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'dd-trace/ext/index' {
  declare module.exports: any;
}

declare module 'dd-trace/ext/kinds' {
  declare module.exports: any;
}

declare module 'dd-trace/ext/priority' {
  declare module.exports: any;
}

declare module 'dd-trace/ext/tags' {
  declare module.exports: any;
}

declare module 'dd-trace/ext/types' {
  declare module.exports: any;
}

declare module 'dd-trace/lib/version' {
  declare module.exports: any;
}

declare module 'dd-trace/src/config' {
  declare module.exports: any;
}

declare module 'dd-trace/src/constants' {
  declare module.exports: any;
}

declare module 'dd-trace/src/encode' {
  declare module.exports: any;
}

declare module 'dd-trace/src/format' {
  declare module.exports: any;
}

declare module 'dd-trace/src/globals' {
  declare module.exports: any;
}

declare module 'dd-trace/src/instrumenter' {
  declare module.exports: any;
}

declare module 'dd-trace/src/log' {
  declare module.exports: any;
}

declare module 'dd-trace/src/noop' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/externals' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/propagation/binary' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/propagation/http' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/propagation/text_map' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/span_context' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/span' {
  declare module.exports: any;
}

declare module 'dd-trace/src/opentracing/tracer' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/index' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/env' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/id' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/index' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/msgpack' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/now' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/request' {
  declare module.exports: any;
}

declare module 'dd-trace/src/platform/node/service' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/amqp10' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/amqplib' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/elasticsearch' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/express' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/graphql' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/hapi' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/http' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/index' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/ioredis' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/koa' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/memcached' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/mongodb-core' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/mysql' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/mysql2' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/pg' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/redis' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/restify' {
  declare module.exports: any;
}

declare module 'dd-trace/src/plugins/util/web' {
  declare module.exports: any;
}

declare module 'dd-trace/src/priority_sampler' {
  declare module.exports: any;
}

declare module 'dd-trace/src/proxy' {
  declare module.exports: any;
}

declare module 'dd-trace/src/recorder' {
  declare module.exports: any;
}

declare module 'dd-trace/src/sampler' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scheduler' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/async_hooks/async_hooks' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/async_hooks/async_wrap' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/async_hooks/index' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/context_execution' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/context' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/noop/scope_manager' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/noop/scope' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/scope_manager' {
  declare module.exports: any;
}

declare module 'dd-trace/src/scope/scope' {
  declare module.exports: any;
}

declare module 'dd-trace/src/tracer' {
  declare module.exports: any;
}

declare module 'dd-trace/src/writer' {
  declare module.exports: any;
}

// Filename aliases
declare module 'dd-trace/ext/index.js' {
  declare module.exports: $Exports<'dd-trace/ext/index'>;
}
declare module 'dd-trace/ext/kinds.js' {
  declare module.exports: $Exports<'dd-trace/ext/kinds'>;
}
declare module 'dd-trace/ext/priority.js' {
  declare module.exports: $Exports<'dd-trace/ext/priority'>;
}
declare module 'dd-trace/ext/tags.js' {
  declare module.exports: $Exports<'dd-trace/ext/tags'>;
}
declare module 'dd-trace/ext/types.js' {
  declare module.exports: $Exports<'dd-trace/ext/types'>;
}
declare module 'dd-trace/index' {
  declare module.exports: $Exports<'dd-trace'>;
}
declare module 'dd-trace/index.js' {
  declare module.exports: $Exports<'dd-trace'>;
}
declare module 'dd-trace/lib/version.js' {
  declare module.exports: $Exports<'dd-trace/lib/version'>;
}
declare module 'dd-trace/src/config.js' {
  declare module.exports: $Exports<'dd-trace/src/config'>;
}
declare module 'dd-trace/src/constants.js' {
  declare module.exports: $Exports<'dd-trace/src/constants'>;
}
declare module 'dd-trace/src/encode.js' {
  declare module.exports: $Exports<'dd-trace/src/encode'>;
}
declare module 'dd-trace/src/format.js' {
  declare module.exports: $Exports<'dd-trace/src/format'>;
}
declare module 'dd-trace/src/globals.js' {
  declare module.exports: $Exports<'dd-trace/src/globals'>;
}
declare module 'dd-trace/src/instrumenter.js' {
  declare module.exports: $Exports<'dd-trace/src/instrumenter'>;
}
declare module 'dd-trace/src/log.js' {
  declare module.exports: $Exports<'dd-trace/src/log'>;
}
declare module 'dd-trace/src/noop.js' {
  declare module.exports: $Exports<'dd-trace/src/noop'>;
}
declare module 'dd-trace/src/opentracing/externals.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/externals'>;
}
declare module 'dd-trace/src/opentracing/propagation/binary.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/propagation/binary'>;
}
declare module 'dd-trace/src/opentracing/propagation/http.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/propagation/http'>;
}
declare module 'dd-trace/src/opentracing/propagation/text_map.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/propagation/text_map'>;
}
declare module 'dd-trace/src/opentracing/span_context.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/span_context'>;
}
declare module 'dd-trace/src/opentracing/span.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/span'>;
}
declare module 'dd-trace/src/opentracing/tracer.js' {
  declare module.exports: $Exports<'dd-trace/src/opentracing/tracer'>;
}
declare module 'dd-trace/src/platform/index.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/index'>;
}
declare module 'dd-trace/src/platform/node/env.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/env'>;
}
declare module 'dd-trace/src/platform/node/id.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/id'>;
}
declare module 'dd-trace/src/platform/node/index.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/index'>;
}
declare module 'dd-trace/src/platform/node/msgpack.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/msgpack'>;
}
declare module 'dd-trace/src/platform/node/now.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/now'>;
}
declare module 'dd-trace/src/platform/node/request.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/request'>;
}
declare module 'dd-trace/src/platform/node/service.js' {
  declare module.exports: $Exports<'dd-trace/src/platform/node/service'>;
}
declare module 'dd-trace/src/plugins/amqp10.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/amqp10'>;
}
declare module 'dd-trace/src/plugins/amqplib.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/amqplib'>;
}
declare module 'dd-trace/src/plugins/elasticsearch.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/elasticsearch'>;
}
declare module 'dd-trace/src/plugins/express.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/express'>;
}
declare module 'dd-trace/src/plugins/graphql.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/graphql'>;
}
declare module 'dd-trace/src/plugins/hapi.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/hapi'>;
}
declare module 'dd-trace/src/plugins/http.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/http'>;
}
declare module 'dd-trace/src/plugins/index.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/index'>;
}
declare module 'dd-trace/src/plugins/ioredis.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/ioredis'>;
}
declare module 'dd-trace/src/plugins/koa.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/koa'>;
}
declare module 'dd-trace/src/plugins/memcached.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/memcached'>;
}
declare module 'dd-trace/src/plugins/mongodb-core.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/mongodb-core'>;
}
declare module 'dd-trace/src/plugins/mysql.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/mysql'>;
}
declare module 'dd-trace/src/plugins/mysql2.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/mysql2'>;
}
declare module 'dd-trace/src/plugins/pg.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/pg'>;
}
declare module 'dd-trace/src/plugins/redis.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/redis'>;
}
declare module 'dd-trace/src/plugins/restify.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/restify'>;
}
declare module 'dd-trace/src/plugins/util/web.js' {
  declare module.exports: $Exports<'dd-trace/src/plugins/util/web'>;
}
declare module 'dd-trace/src/priority_sampler.js' {
  declare module.exports: $Exports<'dd-trace/src/priority_sampler'>;
}
declare module 'dd-trace/src/proxy.js' {
  declare module.exports: $Exports<'dd-trace/src/proxy'>;
}
declare module 'dd-trace/src/recorder.js' {
  declare module.exports: $Exports<'dd-trace/src/recorder'>;
}
declare module 'dd-trace/src/sampler.js' {
  declare module.exports: $Exports<'dd-trace/src/sampler'>;
}
declare module 'dd-trace/src/scheduler.js' {
  declare module.exports: $Exports<'dd-trace/src/scheduler'>;
}
declare module 'dd-trace/src/scope/async_hooks/async_hooks.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/async_hooks/async_hooks'>;
}
declare module 'dd-trace/src/scope/async_hooks/async_wrap.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/async_hooks/async_wrap'>;
}
declare module 'dd-trace/src/scope/async_hooks/index.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/async_hooks/index'>;
}
declare module 'dd-trace/src/scope/context_execution.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/context_execution'>;
}
declare module 'dd-trace/src/scope/context.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/context'>;
}
declare module 'dd-trace/src/scope/noop/scope_manager.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/noop/scope_manager'>;
}
declare module 'dd-trace/src/scope/noop/scope.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/noop/scope'>;
}
declare module 'dd-trace/src/scope/scope_manager.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/scope_manager'>;
}
declare module 'dd-trace/src/scope/scope.js' {
  declare module.exports: $Exports<'dd-trace/src/scope/scope'>;
}
declare module 'dd-trace/src/tracer.js' {
  declare module.exports: $Exports<'dd-trace/src/tracer'>;
}
declare module 'dd-trace/src/writer.js' {
  declare module.exports: $Exports<'dd-trace/src/writer'>;
}
